Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network12.248.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
12.248.0.0
Broadcast address
12.255.255.255
First usable
12.248.0.1
Last usable
12.255.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 0CF80000 · Integer 217579520 to 218103807
Reverse DNS zones
248.12.in-addr.arpa
249.12.in-addr.arpa
250.12.in-addr.arpa
251.12.in-addr.arpa
252.12.in-addr.arpa
253.12.in-addr.arpa
254.12.in-addr.arpa
255.12.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001100.11111000.00000000.0000000012.248.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network00001100.11111000.00000000.0000000012.248.0.0
Broadcast00001100.11111111.11111111.1111111112.255.255.255
Split into smaller subnets/20

12.248.0.0/13 makes 128 subnets of /20.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
112.248.0.0/2012.248.0.1 to 12.248.15.25412.248.15.2554,094
212.248.16.0/2012.248.16.1 to 12.248.31.25412.248.31.2554,094
312.248.32.0/2012.248.32.1 to 12.248.47.25412.248.47.2554,094
412.248.48.0/2012.248.48.1 to 12.248.63.25412.248.63.2554,094
512.248.64.0/2012.248.64.1 to 12.248.79.25412.248.79.2554,094
612.248.80.0/2012.248.80.1 to 12.248.95.25412.248.95.2554,094
712.248.96.0/2012.248.96.1 to 12.248.111.25412.248.111.2554,094
812.248.112.0/2012.248.112.1 to 12.248.127.25412.248.127.2554,094
912.248.128.0/2012.248.128.1 to 12.248.143.25412.248.143.2554,094
1012.248.144.0/2012.248.144.1 to 12.248.159.25412.248.159.2554,094
1112.248.160.0/2012.248.160.1 to 12.248.175.25412.248.175.2554,094
1212.248.176.0/2012.248.176.1 to 12.248.191.25412.248.191.2554,094
1312.248.192.0/2012.248.192.1 to 12.248.207.25412.248.207.2554,094
1412.248.208.0/2012.248.208.1 to 12.248.223.25412.248.223.2554,094
1512.248.224.0/2012.248.224.1 to 12.248.239.25412.248.239.2554,094
1612.248.240.0/2012.248.240.1 to 12.248.255.25412.248.255.2554,094
1712.249.0.0/2012.249.0.1 to 12.249.15.25412.249.15.2554,094
1812.249.16.0/2012.249.16.1 to 12.249.31.25412.249.31.2554,094
1912.249.32.0/2012.249.32.1 to 12.249.47.25412.249.47.2554,094
2012.249.48.0/2012.249.48.1 to 12.249.63.25412.249.63.2554,094
2112.249.64.0/2012.249.64.1 to 12.249.79.25412.249.79.2554,094
2212.249.80.0/2012.249.80.1 to 12.249.95.25412.249.95.2554,094
2312.249.96.0/2012.249.96.1 to 12.249.111.25412.249.111.2554,094
2412.249.112.0/2012.249.112.1 to 12.249.127.25412.249.127.2554,094
2512.249.128.0/2012.249.128.1 to 12.249.143.25412.249.143.2554,094
2612.249.144.0/2012.249.144.1 to 12.249.159.25412.249.159.2554,094
2712.249.160.0/2012.249.160.1 to 12.249.175.25412.249.175.2554,094
2812.249.176.0/2012.249.176.1 to 12.249.191.25412.249.191.2554,094
2912.249.192.0/2012.249.192.1 to 12.249.207.25412.249.207.2554,094
3012.249.208.0/2012.249.208.1 to 12.249.223.25412.249.223.2554,094
3112.249.224.0/2012.249.224.1 to 12.249.239.25412.249.239.2554,094
3212.249.240.0/2012.249.240.1 to 12.249.255.25412.249.255.2554,094
3312.250.0.0/2012.250.0.1 to 12.250.15.25412.250.15.2554,094
3412.250.16.0/2012.250.16.1 to 12.250.31.25412.250.31.2554,094
3512.250.32.0/2012.250.32.1 to 12.250.47.25412.250.47.2554,094
3612.250.48.0/2012.250.48.1 to 12.250.63.25412.250.63.2554,094
3712.250.64.0/2012.250.64.1 to 12.250.79.25412.250.79.2554,094
3812.250.80.0/2012.250.80.1 to 12.250.95.25412.250.95.2554,094
3912.250.96.0/2012.250.96.1 to 12.250.111.25412.250.111.2554,094
4012.250.112.0/2012.250.112.1 to 12.250.127.25412.250.127.2554,094
4112.250.128.0/2012.250.128.1 to 12.250.143.25412.250.143.2554,094
4212.250.144.0/2012.250.144.1 to 12.250.159.25412.250.159.2554,094
4312.250.160.0/2012.250.160.1 to 12.250.175.25412.250.175.2554,094
4412.250.176.0/2012.250.176.1 to 12.250.191.25412.250.191.2554,094
4512.250.192.0/2012.250.192.1 to 12.250.207.25412.250.207.2554,094
4612.250.208.0/2012.250.208.1 to 12.250.223.25412.250.223.2554,094
4712.250.224.0/2012.250.224.1 to 12.250.239.25412.250.239.2554,094
4812.250.240.0/2012.250.240.1 to 12.250.255.25412.250.255.2554,094
4912.251.0.0/2012.251.0.1 to 12.251.15.25412.251.15.2554,094
5012.251.16.0/2012.251.16.1 to 12.251.31.25412.251.31.2554,094
5112.251.32.0/2012.251.32.1 to 12.251.47.25412.251.47.2554,094
5212.251.48.0/2012.251.48.1 to 12.251.63.25412.251.63.2554,094
5312.251.64.0/2012.251.64.1 to 12.251.79.25412.251.79.2554,094
5412.251.80.0/2012.251.80.1 to 12.251.95.25412.251.95.2554,094
5512.251.96.0/2012.251.96.1 to 12.251.111.25412.251.111.2554,094
5612.251.112.0/2012.251.112.1 to 12.251.127.25412.251.127.2554,094
5712.251.128.0/2012.251.128.1 to 12.251.143.25412.251.143.2554,094
5812.251.144.0/2012.251.144.1 to 12.251.159.25412.251.159.2554,094
5912.251.160.0/2012.251.160.1 to 12.251.175.25412.251.175.2554,094
6012.251.176.0/2012.251.176.1 to 12.251.191.25412.251.191.2554,094
6112.251.192.0/2012.251.192.1 to 12.251.207.25412.251.207.2554,094
6212.251.208.0/2012.251.208.1 to 12.251.223.25412.251.223.2554,094
6312.251.224.0/2012.251.224.1 to 12.251.239.25412.251.239.2554,094
6412.251.240.0/2012.251.240.1 to 12.251.255.25412.251.255.2554,094
6512.252.0.0/2012.252.0.1 to 12.252.15.25412.252.15.2554,094
6612.252.16.0/2012.252.16.1 to 12.252.31.25412.252.31.2554,094
6712.252.32.0/2012.252.32.1 to 12.252.47.25412.252.47.2554,094
6812.252.48.0/2012.252.48.1 to 12.252.63.25412.252.63.2554,094
6912.252.64.0/2012.252.64.1 to 12.252.79.25412.252.79.2554,094
7012.252.80.0/2012.252.80.1 to 12.252.95.25412.252.95.2554,094
7112.252.96.0/2012.252.96.1 to 12.252.111.25412.252.111.2554,094
7212.252.112.0/2012.252.112.1 to 12.252.127.25412.252.127.2554,094
7312.252.128.0/2012.252.128.1 to 12.252.143.25412.252.143.2554,094
7412.252.144.0/2012.252.144.1 to 12.252.159.25412.252.159.2554,094
7512.252.160.0/2012.252.160.1 to 12.252.175.25412.252.175.2554,094
7612.252.176.0/2012.252.176.1 to 12.252.191.25412.252.191.2554,094
7712.252.192.0/2012.252.192.1 to 12.252.207.25412.252.207.2554,094
7812.252.208.0/2012.252.208.1 to 12.252.223.25412.252.223.2554,094
7912.252.224.0/2012.252.224.1 to 12.252.239.25412.252.239.2554,094
8012.252.240.0/2012.252.240.1 to 12.252.255.25412.252.255.2554,094
8112.253.0.0/2012.253.0.1 to 12.253.15.25412.253.15.2554,094
8212.253.16.0/2012.253.16.1 to 12.253.31.25412.253.31.2554,094
8312.253.32.0/2012.253.32.1 to 12.253.47.25412.253.47.2554,094
8412.253.48.0/2012.253.48.1 to 12.253.63.25412.253.63.2554,094
8512.253.64.0/2012.253.64.1 to 12.253.79.25412.253.79.2554,094
8612.253.80.0/2012.253.80.1 to 12.253.95.25412.253.95.2554,094
8712.253.96.0/2012.253.96.1 to 12.253.111.25412.253.111.2554,094
8812.253.112.0/2012.253.112.1 to 12.253.127.25412.253.127.2554,094
8912.253.128.0/2012.253.128.1 to 12.253.143.25412.253.143.2554,094
9012.253.144.0/2012.253.144.1 to 12.253.159.25412.253.159.2554,094
9112.253.160.0/2012.253.160.1 to 12.253.175.25412.253.175.2554,094
9212.253.176.0/2012.253.176.1 to 12.253.191.25412.253.191.2554,094
9312.253.192.0/2012.253.192.1 to 12.253.207.25412.253.207.2554,094
9412.253.208.0/2012.253.208.1 to 12.253.223.25412.253.223.2554,094
9512.253.224.0/2012.253.224.1 to 12.253.239.25412.253.239.2554,094
9612.253.240.0/2012.253.240.1 to 12.253.255.25412.253.255.2554,094
9712.254.0.0/2012.254.0.1 to 12.254.15.25412.254.15.2554,094
9812.254.16.0/2012.254.16.1 to 12.254.31.25412.254.31.2554,094
9912.254.32.0/2012.254.32.1 to 12.254.47.25412.254.47.2554,094
10012.254.48.0/2012.254.48.1 to 12.254.63.25412.254.63.2554,094
10112.254.64.0/2012.254.64.1 to 12.254.79.25412.254.79.2554,094
10212.254.80.0/2012.254.80.1 to 12.254.95.25412.254.95.2554,094
10312.254.96.0/2012.254.96.1 to 12.254.111.25412.254.111.2554,094
10412.254.112.0/2012.254.112.1 to 12.254.127.25412.254.127.2554,094
10512.254.128.0/2012.254.128.1 to 12.254.143.25412.254.143.2554,094
10612.254.144.0/2012.254.144.1 to 12.254.159.25412.254.159.2554,094
10712.254.160.0/2012.254.160.1 to 12.254.175.25412.254.175.2554,094
10812.254.176.0/2012.254.176.1 to 12.254.191.25412.254.191.2554,094
10912.254.192.0/2012.254.192.1 to 12.254.207.25412.254.207.2554,094
11012.254.208.0/2012.254.208.1 to 12.254.223.25412.254.223.2554,094
11112.254.224.0/2012.254.224.1 to 12.254.239.25412.254.239.2554,094
11212.254.240.0/2012.254.240.1 to 12.254.255.25412.254.255.2554,094
11312.255.0.0/2012.255.0.1 to 12.255.15.25412.255.15.2554,094
11412.255.16.0/2012.255.16.1 to 12.255.31.25412.255.31.2554,094
11512.255.32.0/2012.255.32.1 to 12.255.47.25412.255.47.2554,094
11612.255.48.0/2012.255.48.1 to 12.255.63.25412.255.63.2554,094
11712.255.64.0/2012.255.64.1 to 12.255.79.25412.255.79.2554,094
11812.255.80.0/2012.255.80.1 to 12.255.95.25412.255.95.2554,094
11912.255.96.0/2012.255.96.1 to 12.255.111.25412.255.111.2554,094
12012.255.112.0/2012.255.112.1 to 12.255.127.25412.255.127.2554,094
12112.255.128.0/2012.255.128.1 to 12.255.143.25412.255.143.2554,094
12212.255.144.0/2012.255.144.1 to 12.255.159.25412.255.159.2554,094
12312.255.160.0/2012.255.160.1 to 12.255.175.25412.255.175.2554,094
12412.255.176.0/2012.255.176.1 to 12.255.191.25412.255.191.2554,094
12512.255.192.0/2012.255.192.1 to 12.255.207.25412.255.207.2554,094
12612.255.208.0/2012.255.208.1 to 12.255.223.25412.255.223.2554,094
12712.255.224.0/2012.255.224.1 to 12.255.239.25412.255.239.2554,094
12812.255.240.0/2012.255.240.1 to 12.255.255.25412.255.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses